Skip to main content

Trade Events

To enable third-party systems to promptly obtain order execution results and order status updates, Broker OpenAPI provides an asynchronous active push mechanism for order trading events.

Clients can subscribe to order-related events to receive notifications, allowing them to monitor order processing results and execution status changes in real time.

Order

Order Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "TRADE",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"request_id": "1045474398137483264",
"account_id": "4MHSOMIJ88O7E80VBG0O4G6E9A",
"client_order_id": "db74f19918054a7e9bb72067731c9ae4",
"instrument_id": "913256135",
"order_status": "PARTIAL_FILLED",
"symbol": "AAPL",
"qty": "10.00",
"filled_price": "180.00",
"filled_qty": "1.00",
"filled_time": "2025-11-21T06:27:43.312+0000",
"side": "BUY",
"category": "US_STOCK",
"order_type": "LIMIT",
"scene_type": "FILLED",
"biz_type":"TRADE"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as TRADE
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
account_idstringAccount id
request_idstringRequest Id
order_idstringSystem-generated order identifier.
client_order_idarrayClient-defined order identifier.
instrument_idstringInstrument Id
order_statusstringOrder Status, See the status field in the Order Detail API response.
symbolstringTrading symbol of the financial instrument.Represents the unique identifier of the security in the specified market.
qtystringTotal order quantity. Represents the total number of units submitted for this order.
filled_qtystringQuantity that has been executed. Represents the number of units that have been filled so far.
filled_pricestringAverage transaction price of the filled quantity. If the order has not been executed yet, this may be zero or null.
filled_timestringTime of the last executed trade in milliseconds since Unix epoch.
sidestringOrder Side, See the side field in the Order Detail API response.
categorystringCategory, HK_STOCK or US_STOCK .
order_typestringOrder Type, See the order_type field in the Order Detail API response.
scene_typestringIndicates the order event scenario or execution result.
biz_typestringBusiness type, fixed as TRADE

Scene Types

scene_typeDescription
FILLEDPartially filled
FINAL_FILLEDAll filled
PLACE_FAILEDOrder failed
MODIFY_SUCCESSChange order successfully
MODIFY_FAILEDChange order failed
CANCEL_SUCCESSCancellation succeeded
CANCEL_FAILEDCancellation failed